/**
 * models.ts
 * Database models
 */

interface ScoreboardMessageRow {
    id: number,
    guild: number,
    channel: number,
    author: string,
    content: string,
    reaction_1_count: number,
    reaction_2_count: number,
    reaction_3_count: number
}

interface ScoreboardUserRow {
    id: string,
    username: string,
    reaction_1_total: number,
    reaction_2_total: number,
    reaction_3_total: number
}

export { ScoreboardMessageRow, ScoreboardUserRow };
